package nl.umcg.deelenp.annotateintersectionoverview.annotations;

/**
 * This interface is used as the basis for an annotation source
 *
 *
 * @author PatrickDeelen
 */
public interface AnnotationSource {

    /**
     * Get the annotations headers of the annotations supplied by a source
     *
     * @return the header of the columns supplied a annotation source
     */
    public String[] getAnnotationHeaders();

    /**
     * Get the number of properties that are suppilied by a source
     *
     * @return the number of properties
     */
    public int getNumberOfAnnotationProperties();

}
